apiVersion: batch/v1
kind: CronJob
metadata:
  name: sxcollector-cluster-sub-mail-monthly
  namespace: sxcollector
  labels:
    app: sxcollector-cluster-sub-mail-monthly
    app.kubernetes.io/component: sxcollector
    app.kubernetes.io/instance: cluster-sub-mail-monthly
    app.kubernetes.io/name: sxcollector-cluster-sub-mail-monthly
    app.kubernetes.io/part-of: scheduled
  annotations:
    openshift.io/generated-by: sxcollector
spec:
  schedule: '@monthly'
  concurrencyPolicy: Replace
  successfulJobsHistoryLimit: 3
  failedJobsHistoryLimit: 2
  jobTemplate:
    metadata:
      labels:
        app: sxcollector-cluster-sub-mail-monthly
        app.kubernetes.io/component: sxcollector
        app.kubernetes.io/instance: cluster-sub-mail-monthly
        app.kubernetes.io/name: sxcollector-cluster-sub-mail-monthly
        app.kubernetes.io/part-of: scheduled
      annotations:
        openshift.io/generated-by: sxcollector
    spec:
      template:
        metadata:
          labels:
            app: sxcollector-cluster-sub-mail-monthly
            app.kubernetes.io/component: sxcollector
            app.kubernetes.io/instance: cluster-sub-mail-monthly
            app.kubernetes.io/name: sxcollector-cluster-sub-mail-monthly
            app.kubernetes.io/part-of: scheduled
          annotations:
            openshift.io/generated-by: sxcollector
        spec:
          serviceAccountName: sxcollector
          serviceAccount: sxcollector
          containers:
            - name: sxcollector
              image: 'image-registry.openshift-image-registry.svc:5000/sxcollector/sxcollector:latest'
              command:
                - sxcollector
                - cluster-sub
                - "--mail-to"
                - "$(MAIL_TO)"
              envFrom:
                - secretRef:
                    name: sxcollector-env
              resources:
                limits:
                  cpu: 40m
                  memory: 48Mi
                requests:
                  cpu: 40m
                  memory: 48Mi
              terminationMessagePath: /dev/termination-log
              terminationMessagePolicy: File
              imagePullPolicy: Always
          restartPolicy: Never
          terminationGracePeriodSeconds: 2
